
// fx - A compositing library representation.

// Copyright (C) 2005-2006 Visual Media FX Ltd.
// Released under the LGPL.
// For more information, see http://www.openlibraries.org.

#ifndef OGL_UTILITIES_INC_
#define OGL_UTILITIES_INC_

#include <string>
#include <utility>

#include <GL/glew.h>

#include <openeffectslib/fx/config.hpp>

namespace olib { namespace openeffectslib { namespace fx {

FX_DECLSPEC std::pair<int, GLenum>	pf_to_gl_format( const std::wstring& pf );
FX_DECLSPEC bool					is_compressed_format( const std::wstring& pf );
FX_DECLSPEC bool					texture_target( size_t width, size_t height, GLenum& target, float& tex_w, float& tex_h );

} } }

#endif
